AOZ Studio Beta - Bug #42

Input command - missing ? when not using a string
01/21/2020 04:44 PM - Paul Kitching

Status: Closed Start date: 01/21/2020
Priority: Normal Due date:

Assignee: Francois Lionet % Done: 0%
Category: Estimated time: 0:00 hour
Target version: 0.9.3.2

Affected version: 0.9.2.6

Description

input a$

input "Name";name$

The first line should show a ? followed by a space, then the cursor, but the second shouldn't. AOZ doesn't show a "?" for either.

Related issues:
Related to AOZ Studio Beta - Bug #47: Input - missing space after ? Closed 01/21/2020

History

#1 - 01/21/2020 04:46 PM - Paul Kitching
The subject should say when NOT using a string.

I wish | could edit the post, as I've done two so far and made a mistake on both!
#2 - 01/21/2020 05:21 PM - Francois Lionet

- Status changed from New to Resolved

- Target version set to 0.9.3

Fixed!

#3 - 01/22/2020 09:31 PM - Baptiste Pillot

- Subject changed from Input command - missing ? when using a string to Input command - missing ? when not using a string

#4 - 01/22/2020 09:35 PM - Baptiste Pillot

- Status changed from Resolved to Feedback

e source : https://www.amos2.fr/ide/Amos2/Ide/Program/415/edit
e run : https://www.amos2.fr/run/tickleman/42/
e inputs : | type "foo" for the first input, then "bar" for the second one

0.9.2.6:

foo
Namebar

0.9.3.1:

?foo
Namebar

The result is a little bit different than the one expected by Paul : "a ? +followed by a space+ then the cursor". There is no space between the ? and the
cursor.

Francois : do you confirm the actual result for the 0.9.3.1 (without space) is the one that match the actual specifications ?

#5 - 02/01/2020 06:21 AM - Baptiste Pillot
- Status changed from Feedback to Closed

- Target version changed from 0.9.3 to 0.9.3.2
https://www.amos2.fr/ide/Amos2/Ide/Program/415/edit
https://www.amos2.fr/run/tickleman/42/

e Amos : ? foo : it's right, there was a space here
¢ 0.9.3.1: ?foo : not conform to how Amos was working
® 0.9.3.2: 7 foo : ok

Confirmed ok.

#6 - 02/01/2020 08:09 AM - Baptiste Pillot
- Related to Bug #47: Input - missing space after ? added
